<?php

include_once '../../sys/fnc.php';

switch (isset($_GET['menu'])?htmlspecialchars($_GET['menu']) : false ){

    default:
$title = 'Пользователи';
include_once '../../sys/head.php';

echo $div->div_razd.' Пользователи</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user`"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo $div->div_menu.' Всего: '. $k_post .'</div>';	
echo $div->div_menu.' <img src="'.$HOME.'/style/img/link.png"> <a href="'.$HOME.'/scripts/user/?menu=adm">Администрация</a></div>'; 
if ($k_post == 0) echo $div->div_err.' Нет пользователей!</div>';

    $q = mysql_query("SELECT * FROM `user` ORDER BY `id` DESC LIMIT $start, 10");
    while ($ank = mysql_fetch_object($q)) {
	echo $div->div_menu;
	echo '<a href="'.$HOME.'/user'.$ank->id.'"><img src="'.$ank->imguser.'" alt="" width="32" height="32"/>'.$ank->login.' </a></div>';
	}
if ($k_page  > 1)str('?', $k_page, $page);
break;
// Вывод модераторов-администраторов
case 'adm':
$title = 'Администрация';
include_once '../../sys/head.php';
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `position` != 'user'"),0);
$k_page = k_page($k_post, 10);
$page = page($k_page);
$start = 10*$page-10;
echo $div->div_menu.' Всего: '. $k_post .'</div>';	
if ($k_post == 0) echo $div->div_err.' Нет пользователей!</div>';

    $q = mysql_query("SELECT * FROM `user` WHERE `position` != 'user' ORDER BY `id` DESC LIMIT $start, 10");
    while ($ank = mysql_fetch_object($q)) {
	echo $div->div_menu;
	echo online($ank->id).'<a href="'.$HOME.'/user'.$ank->id.'"><img src="'.$ank->imguser.'" alt="" width="32" height="32"/>'.$ank->login.'</a></div>';
	}
if ($k_page  > 1)str('&', $k_page, $page);
break;
}
include_once '../../sys/foot.php';
?>